Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.portlet
Class ContentTypeSetImpl

    java.lang.Object
      org.jasig.portal.container.om.portlet.ContentTypeSetImpl

All Implemented Interfaces:
  java.io.Serializable, org.apache.pluto.om.Model, org.apache.pluto.om.portlet.ContentTypeSet

    public class ContentTypeSetImpl

extends java.lang.Object
implements org.apache.pluto.om.portlet.ContentTypeSet, java.io.Serializable

Implementation of Apache Pluto object model.

Version:
  $Revision: 1.2 $
Author:
  Ken Weiner, kweiner@unicon.net
See Also:
  Serialized Form

Field Summary
`private java.util.Map` | `contentTypes`

Constructor Summary
`ContentTypeSetImpl()`

Method Summary
`void` | `add(org.apache.pluto.om.portlet.ContentType contentType)`
`org.apache.pluto.om.portlet.ContentType` | `get(java.lang.String contentType)`
`java.util.Iterator` | `iterator()`
`boolean` | `supportsPortletMode(javax.portlet.PortletMode portletMode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contentTypes

    private java.util.Map contentTypes

Constructor Detail

### ContentTypeSetImpl

    public ContentTypeSetImpl()

Method Detail

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `org.apache.pluto.om.portlet.ContentTypeSet`

### get

    public org.apache.pluto.om.portlet.ContentType get(java.lang.String contentType)

  Specified by:
    `get` in interface `org.apache.pluto.om.portlet.ContentTypeSet`

### supportsPortletMode

    public boolean supportsPortletMode(javax.portlet.PortletMode portletMode)

  Specified by:
    `supportsPortletMode` in interface `org.apache.pluto.om.portlet.ContentTypeSet`

### add

    public void add(org.apache.pluto.om.portlet.ContentType contentType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD